#!/usr/local/bin/perl
# format2mass.pl -- To format the retrieved 2mass catalog data
# Created: Yoshifusa Ita, 19-Dec-05

open(OUT, "> 2mass.radec") || die "Cannot write 2mass.radec";

while ($line = <>){
    chomp $line;
#    if($line !~ /^\#/){ # $B%3%a%s%H9T$G$J$+$C$?$i(B
    if($line =~ /^[0-9]/){ # $B9TF,$,?t;z$@$C$?$i(B
	@buf1=split(/\t/,$line); # $B%?%V$G6h@Z$k(B
#	if($buf1[10] =~ "AAA"){ # quality flag $B$,(B AAA$B$@$C$?$i(B
	if($buf1[10] !~ /U/){ # quality flag $B$K(BU$B$,4^$^$l$F$J$+$C$?$i(B
	    printf OUT ("%5d %f %f %6.3f %5.3f\n",
			$buf1[0], # idname
			$buf1[1], # ra [degree]
			$buf1[2], # dec [degree]
			$buf1[8], # kmag [mag]
			$buf1[9]  # kerr [mag]
			);
	}
    }
}
close(OUT);
