# bluebox.cl -- The IRC imaging data reduction pipeline, "blue box"
# The "blue box" includes calibration tasks.
# Created: Yoshifusa Ita, 05-Jul-05

procedure bluebox()
string  mode="al"

begin
        package bluebox

	task coadd = "bluebox$coadd.cl"
	task source_extract = "bluebox$source_extract.cl"
	task source_extract2 = "bluebox$source_extract2.cl"
	task adjust_sky = "bluebox$adjust_sky.cl"
	task calcshift = "bluebox$calcshift.cl"
	task irc_stack = "bluebox$irc_stack.cl"
	task putwcs = "bluebox$putwcs.cl"

	cl()
end
