# greenbox.cl -- The IRC imaging data reduction pipeline, "green box"
# The "green box" includes calibration tasks.
# Created: Yoshifusa Ita, 05-Jul-05
# 05-Jun-06 - Add wraparound (Y. Ita)

procedure greenbox()
string  mode="al"

begin
        package greenbox

        task linearity     = "greenbox$linearity.cl"
	task dark 	   = "greenbox$dark.cl"
	task flat 	   = "greenbox$flat.cl"
	task distortion    = "greenbox$distortion.cl"
	task anomalous_pix = "greenbox$anomalous_pix.cl"
	task ircnorm       = "greenbox$ircnorm.cl"
	task slit_mask     = "greenbox$slit_mask.cl"
	task saturation    = "greenbox$saturation.cl"
	task wraparound    = "greenbox$wraparound.cl"
#	task cosmic_ray    = "greenbox$cosmic_ray.cl"
#	task muxbreed 	   = "greenbox$muxbreed.cl"
#	task ghost 	   = "greenbox$ghost.cl"
#	task first_frame   = "greenbox$first_frame.cl"

	cl()
end
